<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1"><title>Multicore Image Processing Demonstration</title>

<script type="text/javascript" language="javascript">
function CheckExtentionBMP(){
var FileExt = document.userinput.imagefile.value;
FileExt = FileExt.substring(FileExt.length - 4, FileExt.length);
if(FileExt != '.bmp') { alert("Only BMP file type is allowed.");
return false;
} else {
return true;
}
}
</script></head>
<body style="font-family: helvetica;" onload="document.userinput.imagefile.focus()">
<!--<div align="center">-->
<table style="text-align: left; background-color: white" border="0" cellpadding="0" cellspacing="0">
<tbody>
<tr>
<td style="width: 147px; text-align: center;"><img src="dspchip.gif" alt=""></td>
<td><span style="font-size:200%;">Multicore Image Processing Demonstration</span></td>
</tr>
</tbody>
</table>
<!--</div>-->
<!--<div align="center">-->
<form enctype="multipart/form-data" method="post" name="userinput" onsubmit="return CheckExtentionBMP();" action="process.cgi"><br>
<table cellspacing="10">
<tbody>
<tr>
<td>
<table style="float: left; text-align: left;" border="0" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<td style="width: 200px;"><span style="font-weight: bold;">Number of Cores</span></td>
<td>
<select name="numberofcores">
<option selected value="1">One</option>
<option value="2">Two</option>
</select>
</td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr>
<td>
<table style="float: left; text-align: left;" border="0" cellpadding="2" cellspacing="2">
<tbody>
<tr>
<td style="width: 200px;"><span style="font-weight: bold;">Image processing function</span></td>
<td><input name="processingtype" value="Edge Detection" checked="checked" type="radio">Edge Detection</td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr>
<th align="left">Select Image to Process</th>
</tr>
<tr>
<td><input name="imagefile" accept="image/bmp" size="60" type="file"></td>
</tr>
<tr>
<td><input value="Process" type="submit"></td>
</tr>
<tr>
<td><strong>Note:</strong> 8/24 bit <a href="http://en.wikipedia.org/wiki/BMP_file_format" target="_blank">bitmap
(BMP)</a> images are supported
</td>
</tr>
</tbody>
</table>
<br>
<br>
<small><i>Processor-SDK RTOS Image Processing Demonstration</i><small>
</form>
<!--</div>-->
<br>
<br>
</body></html>
